package v1

import (
	"htwkalender/model"
	"testing"
)

func Test_contains(t *testing.T) {
	type args struct {
		groups []model.SeminarGroup
		group  model.SeminarGroup
	}
	tests := []struct {
		name string
		args args
		want bool
	}{
		{
			name: "should return true if group is in groups",
			args: args{
				groups: []model.SeminarGroup{
					{
						Course:   "test",
						Semester: "test",
					},
				},
				group: model.SeminarGroup{
					Course:   "test",
					Semester: "test",
				},
			},
			want: true,
		},
		{
			name: "should return false if group is not in groups",
			args: args{
				groups: []model.SeminarGroup{
					{
						Course:   "test",
						Semester: "test",
					},
				},
				group: model.SeminarGroup{
					Course:   "test",
					Semester: "test2",
				},
			},
			want: false,
		},
		{
			name: "should return false if group is not in courses",
			args: args{
				groups: []model.SeminarGroup{
					{
						Course:   "test3",
						Semester: "test",
					},
				},
				group: model.SeminarGroup{
					Course:   "test",
					Semester: "test",
				},
			},
			want: false,
		},
	}

	for _, tt := range tests {
		t.Run(tt.name, func(t *testing.T) {
			if got := contains(tt.args.groups, tt.args.group); got != tt.want {
				t.Errorf("contains() = %v, want %v", got, tt.want)
			}
		})
	}
}
