// load free rooms as a list of strings form the backend

export async function requestFreeRooms(
  from: string,
  to: string,
): Promise<string[]> {
  const rooms: string[] = [];
  await fetch("/api/rooms/free?from=" + from + "&to=" + to)
    .then((response) => {
      return response.json();
    })
    .then((roomsResponse: [] | null) => {
      roomsResponse?.forEach((room: string) => rooms.push(room));
    });
  return rooms;
}
